1. Notifications
ProfitFlow
  • Account
    • Authentication
      • Login
      • Register new user
      • Get current user
      • Logout
      • Refresh token
    • Password
      • Request password reset
      • Reset password
      • Change password
    • Profile
      • Update current user
    • Delete account
      DELETE
  • Categories
    • List categories
      GET
    • Get category
      GET
  • Units
    • List available units
      GET
    • Get unit details
      GET
  • Investors
    • List investors
      GET
    • Get investor details
      GET
    • Get investor portfolio
      GET
  • Investment Requests
    • Create investment request
      POST
    • List investment requests
      GET
  • Portfolio
    • Get portfolio performance
      GET
    • Get transaction details
      GET
    • List transactions
      GET
  • KYC
    • List uploaded documents
      GET
    • Upload identity document
      POST
    • Get KYC status
      GET
  • Dashboard
    • Get investment marketplace
  • Distributions
    • List distributions
    • Get distribution details
    • List payouts
    • Get payout details
  • Statements
    • Download profit statement
    • Download tax records
    • Download portfolio summary
  • Notifications
    • List notifications
      GET
    • Get notification
      GET
    • Mark notification as read
      POST
    • Mark all as read
      POST
    • Register FCM token
      POST
    • Clear FCM token
      DELETE
  • Settings
    • Get app settings
    • Update app settings
  • Legal
    • Get privacy policy
    • Get terms of service
    • Get investment disclaimer
  • Marketplace
    • Get app configuration
  • Withdrawal Requests
    • Create withdrawal request
    • List withdrawal requests
  • Category Memberships
    • List memberships
    • Create membership
    • Available categories for enrollment
    • Get membership details
  • Public
    • Browse investment units (guest)
    • View unit details (guest)
    • Browse investment categories (guest)
    • View category details (guest)
  • Schemas
    • User
    • Category
    • Error
    • Unit
    • Investor
    • ValidationError
    • Portfolio
    • PaginationLinks
    • PaginationMeta
    • UnitDetail
    • InvestmentRequest
    • PublicUnit
    • InvestmentRequestWithUnit
    • Notification
    • WithdrawalRequest
    • CategoryMembership
    • Transaction
    • NotificationDataPayloads
    • WithdrawalRequestWithUnit
    • TransactionDetail
    • RegisterFcmTokenRequest
    • PortfolioPerformance
    • KycDocument
    • KycStatus
    • Dashboard
    • DashboardTrend
    • DashboardActivity
    • Marketplace
    • Distribution
    • FeaturedCategory
    • Payout
    • SimpleCategory
    • Settings
    • TopGainerUnit
    • NotificationSettings
    • NewListingUnit
    • LegalContent
    • AppConfig
    • IconOption
    • BadgeOption
    • ColorOption
    • PublicCategory
  1. Notifications

Get notification

GET
/notifications/{id}
Returns a single notification's details.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200
application/json
Notification details
Body

Example
{
    "success": true,
    "data": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "type": "investment_approved",
        "title": "Distribution Received",
        "body": "You received EGP 5,000.00 from Downtown Office Tower.",
        "data": {
            "distribution_id": 123,
            "payout_id": 456,
            "unit_id": 5,
            "net_amount": 5000
        },
        "read": false,
        "read_at": null,
        "created_at": "2024-01-21T09:00:00+00:00"
    }
}
🟠401
🟠404
Modified at 2026-03-12 00:48:26
Previous
List notifications
Next
Mark notification as read
Built with